---     
tags: 
  - Regions
description: Returns a list of regions. Optional arguments can be passed to filter regions.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: path
    name: per_page
    type: int
    required: false
  - in: path
    name: page
    type: int
    required: false
  - in: path
    name: enabled
    type: bool
    required: false
  - in: path
    name: renderable
    type: bool
    required: false
  - in: path
    name: has_order
    type: bool
    required: false
  - in: path
    name: has_users
    type: bool
    required: false
  - in: path
    name: created_by_id
    type: int
    required: false
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: {
        'count': 2, 
        'regions': [
          {
            'area': 88223686.39821656, 
            'created_at': 'Tue, 30 Jul 2024 15:12:15 GMT', 
            'created_by': {
              'id': 18851, 
              'user_name': 'Test User 2'
            }, 
            'enabled': True, 
            'id': 2822, 
            'name': 'Test Region 2', 
            'renderable': True, 
            'users': [
              {
                'id': 18851, 
                'user_name': 'Test User 2'
              }
            ]
          }, 
          {
            'area': 88223686.39821656, 
            'created_at': 'Tue, 30 Jul 2024 15:12:15 GMT', 
            'created_by': {
              'id': 18850, 
              'user_name': 'Test User'
            }, 
            'enabled': True, 
            'id': 2821, 
            'name': 'Test Region 1', 
            'renderable': True, 
            'users': [
              {
                'id': 18850, 
                'user_name': 'Test User'
              }
            ]
          }
        ]
      }
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'

